### Hierarchy

- NumberConstructor

### Callable

- __call(value?: any): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:562

  #### Parameters

  - ##### Optional value: any

  #### Returns number

## Index

### Constructors

- constructor

### Properties

- MAX_VALUE
- MIN_VALUE
- NEGATIVE_INFINITY
- NaN
- POSITIVE_INFINITY
- prototype

## Constructors

### constructor

- new NumberConstructor(value?: any): Number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:561

  #### Parameters

  - ##### Optional value: any

  #### Returns Number

## Properties

### MAX_VALUE

MAX_VALUE: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:567

The largest number that can be represented in JavaScript. Equal to approximately 1.79E+308.

### MIN_VALUE

MIN_VALUE: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:570

The closest number to zero that can be represented in JavaScript. Equal to approximately 5.00E-324.

### NEGATIVE_INFINITY

NEGATIVE_INFINITY: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:582

A value that is less than the largest negative number that can be represented in JavaScript. JavaScript displays NEGATIVE_INFINITY values as -infinity.

### NaN

NaN: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:576

A value that is not a number. In equality comparisons, NaN does not equal any value, including itself. To test whether a value is equivalent to NaN, use the isNaN function.

### POSITIVE_INFINITY

POSITIVE_INFINITY: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:588

A value greater than the largest number that can be represented in JavaScript. JavaScript displays POSITIVE_INFINITY values as infinity.

### prototype

prototype: Number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:564

Generated using TypeDoc